DefaultUrlMappingEvaluator (Grails 3.2.9)
Date: 2017-04-26

Package: org.grails.web.mapping

## [Java] Class DefaultUrlMappingEvaluator

- org.grails.web.mapping.DefaultUrlMappingEvaluator

- All Implemented Interfaces and Traits:
    ClassLoaderAware, PluginManagerAware, UrlMappingEvaluator

      public class DefaultUrlMappingEvaluator
      extends java.lang.Object

  A UrlMapping evaluator that evaluates Groovy scripts that are in the form:

       mappings {
          /$post/$year?/$month?/$day?" {
             controller = "blog"
             action = "show"
             constraints {
                 year(matches:/\d{4}/)
                 month(matches:/\d{2}/)
             }
          }
       }

  Authors:
    Graeme Rocher
  Since:
    0.5

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static java.lang.String` | `ACTION_CREATE` |
    `static java.lang.String` | `ACTION_DELETE` |
    `static java.lang.String` | `ACTION_EDIT` |
    `static java.lang.String` | `ACTION_INDEX` |
    `static java.lang.String` | `ACTION_PATCH` |
    `static java.lang.String` | `ACTION_SAVE` |
    `static java.lang.String` | `ACTION_SHOW` |
    `static java.lang.String` | `ACTION_UPDATE` |
    `static java.util.List<java.lang.String>` | `DEFAULT_RESOURCES_INCLUDES` |
    `static java.util.List<java.lang.String>` | `DEFAULT_RESOURCE_INCLUDES` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `DefaultUrlMappingEvaluator (org.springframework.context.ApplicationContext applicationContext)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `java.util.List` | `evaluateMappings(org.springframework.core.io.Resource resource)`
    `` | `java.util.List<UrlMapping>` | `evaluateMappings(java.lang.Class theClass)`
    `` | `java.util.List<UrlMapping>` | `evaluateMappings(groovy.lang.Closure closure)`
    `` | `void` | `setClassLoader(java.lang.ClassLoader classLoader)`
    `` | `void` | `setPluginManager(GrailsPluginManager pluginManager)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### public static final java.lang.String ACTION_CREATE

    - #### public static final java.lang.String ACTION_DELETE

    - #### public static final java.lang.String ACTION_EDIT

    - #### public static final java.lang.String ACTION_INDEX

    - #### public static final java.lang.String ACTION_PATCH

    - #### public static final java.lang.String ACTION_SAVE

    - #### public static final java.lang.String ACTION_SHOW

    - #### public static final java.lang.String ACTION_UPDATE

    - #### public static final java.util.List<java.lang.String> DEFAULT_RESOURCES_INCLUDES

    - #### public static final java.util.List<java.lang.String> DEFAULT_RESOURCE_INCLUDES

  - ### Constructor Detail

    - #### public DefaultUrlMappingEvaluator(org.springframework.context.ApplicationContext applicationContext)

  - ### Method Detail

    - #### @java.lang.SuppressWarnings({"rawtypes", "unchecked"}) public java.util.List evaluateMappings(org.springframework.core.io.Resource resource)

    - #### @java.lang.SuppressWarnings({"unchecked", "rawtypes"}) public java.util.List<UrlMapping> evaluateMappings(java.lang.Class theClass)

    - #### @java.lang.SuppressWarnings("rawtypes") public java.util.List<UrlMapping> evaluateMappings(groovy.lang.Closure closure)

    - #### public void setClassLoader(java.lang.ClassLoader classLoader)

    - #### public void setPluginManager(GrailsPluginManager pluginManager)